//------------------------------------------------------------------------------
//
//  npobj.h
//
//  ANTz application based on NPE
//
//  Created by Shane Saxon on 3/15/11.
//  Copyright Saxon Digital 2010-2011. All rights reserved.
//
//------------------------------------------------------------------------------
#ifndef NPOBJ_H_
#define NPOBJ_H_


#include <stdio.h>
#include "../../npdata.h"


//------------------------------------------------------------------------------
void npInitOBJ (void* dataRef);
void npCloseOBJ (void* dataRef);

// these functions wrap the standard C file methods on Linux, MSW and OSX
// opens or creates the file in the specified mode "rb+" read/write binary..
FILE* npOpenOBJ (const char* fileName, const char* mode, void* dataRef);

FILE* npOBJNew (const char* fileName, const char* mode, void* dataRef);

FILE* npOBJDialog (const char* fileName, int dialogType, void* dataRef);

// if not saved then opens SaveAs dialog before reseting app
void npOBJClose (void* dataRef);

// wrappers for fread(), fwrite() and rewind()
//void npReadFile (void* writeBuffer, int wordSize, int size, void* dataRef);
int npReadOBJ (void* readBuffer, int elementSize, int elementCount, 
				 FILE* file, void* dataRef);
int npWriteOBJ (const void* str, int wordSize, int size, FILE* file, void* dataRef);

// 
void npSaveOBJ (FILE* file, void* dataRef);

void npImportOBJ (FILE* file, int type, void* dataRef);
void npExportOBJ (FILE* file, void* dataRef);

// file and directory management
void npGetAttribOBJ (int size, void* dataRef);
void npSetAttribOBJ (int size, void* dataRef);

void npTestOBJ (void* fileName, int wordSize, int size, void* dataRef);


#endif